Page MenuHomePhabricator

[SVE] Bail from cstfp_pred_ty before walking scalable vector
ClosedPublic

Authored by ctetreau on Jun 10 2020, 3:55 PM.

Details

Summary

Bail out in cstfp_pred_ty before calling getNumElements and walking the
vector if the vector is scalable.

Diff Detail

Event Timeline

ctetreau created this revision.Jun 10 2020, 3:55 PM
lebedev.ri resigned from this revision.Jun 13 2020, 9:34 AM
sdesmalen accepted this revision.Jun 15 2020, 9:26 AM

LGTM. Because we can't construct a scalable constant other than a splat, I guess there isn't really a way we can write a test for this change.

This revision is now accepted and ready to land.Jun 15 2020, 9:26 AM
This revision was automatically updated to reflect the committed changes.